# PThreadObj2Arg< ObjType, Arg1Type, Arg2Type > Class Template Reference

`#include <thread.h>`

Inheritance diagram for PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >:

List of all members.

## Public Types

typedef void(ObjType::*) | ObjTypeFn (Arg1Type, Arg2Type)

## Public Member Functions

| PThreadObj2Arg (ObjType &obj, Arg1Type arg1, Arg2Type arg2, ObjTypeFn function, bool autoDel=false, const char *name=NULL, PThread::Priority priority=PThread::NormalPriority)
void | Main ()
| User override function for the main execution routine of the thread.

## Protected Attributes

ObjType & | m_object
ObjTypeFn | m_function
Arg1Type | m_arg1
Arg2Type | m_arg2

### template<class ObjType, typename Arg1Type, typename Arg2Type>
class PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >

## Member Typedef Documentation

template<class ObjType, typename Arg1Type, typename Arg2Type>

typedef void(ObjType::*) PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::ObjTypeFn(Arg1Type, Arg2Type)

## Constructor & Destructor Documentation

template<class ObjType, typename Arg1Type, typename Arg2Type>

PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::PThreadObj2Arg | ( | ObjType & | obj,
|  | Arg1Type | arg1,
|  | Arg2Type | arg2,
|  | ObjTypeFn | function,
|  | bool | autoDel = `false`,
|  | const char * | name = `NULL`,
|  | PThread::Priority | priority = `PThread::NormalPriority` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class ObjType, typename Arg1Type, typename Arg2Type>

void PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::Main | ( |  | ) | `[inline, virtual]`

User override function for the main execution routine of the thread.

A descendent class must provide the code that will be executed in the thread within this function.

Note that the correct way for a thread to terminate is to return from this function.

Implements PThread.

## Member Data Documentation

template<class ObjType, typename Arg1Type, typename Arg2Type>

Arg1Type PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::m_arg1 `[protected]`

template<class ObjType, typename Arg1Type, typename Arg2Type>

Arg2Type PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::m_arg2 `[protected]`

template<class ObjType, typename Arg1Type, typename Arg2Type>

ObjTypeFn PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::m_function `[protected]`

template<class ObjType, typename Arg1Type, typename Arg2Type>

ObjType& PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >::m_object `[protected]`

The documentation for this class was generated from the following file:

- thread.h